/*
 * globals.h 
 * Contains global variables and constants (some #defined) for renum.
 *
 * Copyright 2004-2006 by Dale McCoy.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _RENUM_GLOBALS_H_INCLUDED_
#define _RENUM_GLOBALS_H_INCLUDED_

#include<ostream>

#define NFO_HEADER(ver)\
	("// Automatically generated by GRFCODEC. Do not modify!\n"\
	"// (Info version "+itoa(ver)+")\n"\
	"// Format: spritenum pcxfile xpos ypos compression ysize xsize xrel yrel\n")

extern const char*const VALID_PSEUDO,*const WHITESPACE;
extern const string COMMENT;
extern string datadir;
extern bool dosleep;
extern const char*COMMENT_PREFIX;
#define NPOS (basic_string<char>::npos)

extern unsigned int _spritenum;

//TODO: add command-line arguments to set these appropriately.
extern ostream*pNfo,*pOut,*pErr;

#endif//_RENUM_GLOBALS_H_INCLUDED_
